## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 27
%bcond check 1
%global debug_package %{nil}

%global crate sspi

Name:           rust-sspi
Version:        0.15.2
Release:        %autorelease
Summary:        Rust implementation of the Security Support Provider Interface

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/sspi
Source:         %{crates_source}
# Automatically generated patch to strip dependencies and normalize metadata
Patch:          sspi-fix-metadata-auto.diff
# Manually created patch for downstream crate metadata changes
# * default to the ring crypto backend
Patch:          sspi-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
A Rust implementation of the Security Support Provider Interface (SSPI)
API.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+__install-crypto-provider-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+__install-crypto-provider-devel %{_description}

This package contains library source intended for building other packages which
use the "__install-crypto-provider" feature of the "%{crate}" crate.

%files       -n %{name}+__install-crypto-provider-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+__rustls-used-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+__rustls-used-devel %{_description}

This package contains library source intended for building other packages which
use the "__rustls-used" feature of the "%{crate}" crate.

%files       -n %{name}+__rustls-used-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+dns_resolver-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+dns_resolver-devel %{_description}

This package contains library source intended for building other packages which
use the "dns_resolver" feature of the "%{crate}" crate.

%files       -n %{name}+dns_resolver-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+network_client-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+network_client-devel %{_description}

This package contains library source intended for building other packages which
use the "network_client" feature of the "%{crate}" crate.

%files       -n %{name}+network_client-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+ring-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+ring-devel %{_description}

This package contains library source intended for building other packages which
use the "ring" feature of the "%{crate}" crate.

%files       -n %{name}+ring-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+tsssp-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+tsssp-devel %{_description}

This package contains library source intended for building other packages which
use the "tsssp" feature of the "%{crate}" crate.

%files       -n %{name}+tsssp-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Tue Mar 04 2025 Marc-André Lureau <marcandre.lureau@redhat.com> - 0.15.2-1
- Initial packaging, fixes rhbz#2329181
## END: Generated by rpmautospec
